@media screen and (min-width: 768px) {
    .yellow-border-box > br {
        display: none;
    }
    /* schedule form */
    .class-name-content {
        width: 300px;
        border: 3px solid #fd1d7d;
    }
    .copyright-container {
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        padding: 20px;
    }
    /* schedule form */
    .class-name-container {
        font-size: 26px;
    }
    .class-name-content {
        width: 300px;
        border: 3px solid #fd1d7d;
    }
    /* schedule form kanryou */
    .noti-container {
        padding: 30px 50px;
    }
}

@media screen and (max-width: 768px) {
    .yellow-border-box  > br {
        display: block;
    }
    .schedule-section-01 {
        margin-bottom: 50px;
    }
    /* schedule form */
    .form-banner-img {
        content: url('/common/images/renew/schedule/form/form-free-bnr-sp.webp');
    }
    .class-name-content {
        width: calc(100% - 125px);
        border: 2px solid #fd1d7d;
    }
    .copyright-container {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        padding: 20px 0 10px;
    }
    /* schedule form */
    .class-name-container {
        font-size: clamp(14px, 3.5vw, 26px);
    }
    .class-name-content {
        width: calc(100% - 125px);
        border: 2px solid #fd1d7d;
    }
    /* schedule form kanryou */
    .page-thanks {
        margin-top: -50px;
        margin-bottom: 50px;
    }
    
}

/* header */
.schedule-header-container-pc {
    max-width: 100%;
    background-color: #fd1d7d;
    padding: 0 calc((max(100%, 1000px) - 1000px) / 2);
}
.logo-img {
    min-width: 200px;
    padding-left: 10px;
}
/* sp */
.schedule-nav-sp {
    width: 100%;
    height: 64px;
    clip-path: ellipse(80% 100% at 50% 0%);
    display: flex;
}
.schedule-nav-sp > a:nth-child(1) {
    width: 100%;
    background-color: #fd1d7d;
    padding: 10px;
    justify-content: flex-start;
}
.schedule-nav-sp > a:nth-child(1) > img {
    width: auto;
    height: 33px;
    margin-left: 20px;
}

/* end header */

.yellow-border-box {
    margin: 100px auto 20px;
}

.schedule-section-01 {
    background-image: linear-gradient(to bottom, #fef5f8, rgba(254, 245, 248, 0)),
        url('/common/images/renew/index/back-img03-pc.webp');
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: top left, bottom;
    background-color: rgba(254, 245, 248, 0);
    height: fit-content;
    padding-bottom: clamp(50px, 10vw, 100px);
    position: relative;
    z-index: 1;
}

.schedule-banner img {
    width: 100%;
}

/* schedule form */
.scheduleform-header-container {
    width: 95%;
    max-width: 1000px;
    margin: 40px auto;
}
.class-name-container {
    display: flex;
    font-weight: bold;
}
.class-name-label {
    padding: 5px 10px;
    width: 125px;
    text-align: center;
    background-color: #fd1d7d;
    color: white;
    border-radius: 5px 0 0 5px;
}
.class-name-content {
    padding: 5px 10px;
    background-color: #fff;
    color: #fd1d7d;
    border-radius: 0 5px 5px 0;
}
.form-banner-img {
    width: 90%;
    display: block;
    margin: 40px auto;
}
.progress-container {
    display: flex;
    align-items: center;
    margin: 0 auto;
    width: 80vw;
    max-width: 600px;
    height: calc(min(10vw, 80px) + max(5px, min(1vw, 14px)) + 5px);
    font-size: clamp(5px, 1vw, 14px);
    position: relative;
}
.progress-img {
    width: 19vw;
    max-width: 100px;
    color: #fd1d7d;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    position: absolute;
    z-index: 1;
    justify-content: center;
}
.progress-img img {
    width: 70%;
}
.progress-img:nth-child(1) {
    left: 0;
}
.progress-img:nth-child(3) {
    right: 0;
}
.progress-bar {
    width: calc(min(600px, 70vw) - min(10vw, 90px));
    height: 10px;
    background-color: #fff;
    position: absolute;
    left: calc(min(80px, 10vw) - 5px);
    top: calc(min(10vw, 80px) / 2 - 5px);
}
.progress-percent {
    width: 40%;
    height: 10px;
    background-color: #fd1d7d;
}
.btn {
    aspect-ratio: unset;
    border-radius: 10px !important;
}
input, select {
    border-radius: 5px !important;
}
select {
    appearance: none; 
    -webkit-appearance: none;
    -moz-appearance: none;
}
.custom-select {
    border-radius: 5px;
}
.neccessities-container {
    width: 100%;
    background-color: #fff;
    padding: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.neccessities-container > div {
    width: 100%;
    max-width: 1024px;
}
.footer-container {
    width: 100%;
    background-color: #fd1d7d;
    position: absolute;
}
.copyright-container {
    display: flex;
    color: #fff;
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
    gap: 10px;
}
.copyright-container > img {
    width: 120px;
}
/* end schedule form */

/* schedule form */
.scheduleform-header-container {
    width: 95%;
    max-width: 1000px;
    margin: 40px auto 25px;
}
.class-name-container {
    display: flex;
    font-weight: bold;
}
.class-name-label {
    padding: 5px 10px;
    width: 125px;
    background-color: #fd1d7d;
    color: white;
    border-radius: 5px 0 0 5px;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}
.class-name-content {
    padding: 5px 10px;
    background-color: #fff;
    color: #fd1d7d;
    border-radius: 0 5px 5px 0;
}

/* schedule form kanryou */
.bg-03 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}
.noti-container {
    width: 100%;
    max-width: 1024px;
    background-color: #fff;
    border-radius: 10px;
    margin-bottom: 40px;
}
.kf-header-container {
    width: 100vw;
    background-color: #fff;
}
.kf-header-container > .header-container-pc {
    background-color: #fff;
    padding: 0;
    max-width: 1280px;
    width: 100%;
}
.kf-header-container .logo-img {
    min-width: 100px;
}
.kf-header-container .nav-sp > a:nth-child(1) {
    width: 50%;
    background-color: #fff;
    justify-content: center;
}
.page-thanks {
    position: relative;
    z-index: 1;
}
.page-thanks article {
    border: none;
}
.schedule-bnr {
    padding: 10px 15px;
}
.schedule-tab .schedule-calendar .calendar-content .table-calendar .time-bg {
    width: 30px !important;
}


@media screen and (max-width: 767px) {
    .yellow-border-box {
        margin:40px auto 20px;
    }
    .schedule-tab .schedule-calendar .calendar-content .table-calendar .time-bg {
        width: 25px !important;
    }
    .schedule-header-container-pc {
        display: none;
    }
    .progress-img p {
        font-size: 14px;
        text-align: center;
    }
    .page-thanks article {
        padding: 0;
    }
    .noti-container {
        padding: 25vw 5vw 6vw;
        margin-bottom: 0;
    }
    .header-container-sp img {
        height: 100% !important;
    }
    .header-text-sp {
        height: 25% !important;
    }
    .free-btn.sp img {
        height: 40% !important;
    }
}